"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var vue_1 = require("vue");
var util_1 = require("../util");
var di_1 = require("../di");
var vue_index_1 = require("../router/vue-index");
/**
 * @stable [21.10.2018]
 * @param {typeof VueApplicationContainer} applicationContainerCtor
 */
exports.bootstrapVueApp = function (applicationContainerCtor) {
    util_1.addRootElement('appId');
    util_1.addClassNameToBody('vac');
    // The Vue app needs in lazy route initializing.
    di_1.appContainer.bind(di_1.DI_TYPES.Routes).toConstantValue(util_1.fromMapToObject(vue_index_1.VUE_DYNAMIC_ROUTES));
    new vue_1.default({
        el: '#appId',
        render: function (createElement) { return createElement(applicationContainerCtor); },
    });
};
//# sourceMappingURL=vue-app.bootstrapper.js.map