import 'signalr';
import { ILogger } from 'ts-smart-logger';
import { BaseChannel } from '../base-channel.service';
import { ISignalRChannelConfigEntity, SignalRChannelMessageEntityT } from './signalr-channel.interface';
export declare class SignalRChannel extends BaseChannel<ISignalRChannelConfigEntity, SignalRChannelMessageEntityT> {
    protected static logger: ILogger;
    private signalRScriptTask;
    private signalRInitTasks;
    /**
     * @stable [12.12.2018]
     */
    constructor();
    /**
     * @stable [21.05.2018]
     * @param {string} ip
     * @param {ISignalRChannelConfigEntity} config
     */
    connect(ip: string, config?: ISignalRChannelConfigEntity): void;
    /**
     * @stable [11.12.2018]
     * @param {string} ip
     */
    disconnect(ip: string): void;
    /**
     * @stable [12.12.2018]
     * @param {string} ip
     * @param {string} hubUrl
     * @param {ISignalRChannelConfigEntity} config
     */
    private onSignalRInitialize;
    /**
     * @stable [11.12.2018]
     * @param {string} ip
     */
    private cancelInitTask;
    /**
     * @stable [17.12.2018]
     * @param {string} channelName
     * @param {string} event
     * @returns {IKeyValue}
     */
    private toChannelClient;
}
