/// <reference types="react" />
import { BaseComponent } from '../base';
import { IAutoFocusedState } from './auto-focused.interface';
import { IAutoFocusedProps } from './auto-focused.interface';
export declare class AutoFocused extends BaseComponent<IAutoFocusedProps, IAutoFocusedState> {
    static defaultProps: IAutoFocusedProps;
    private static logger;
    private static ROBOT_DETECTION_MIN_SYMBOLS_COUNT;
    private static ENTER_KEY_CODES;
    private eventManager;
    private delayedTask;
    /**
     * @stable [05.05.2018]
     * @param props
     */
    constructor(props: any);
    /**
     * @stable [05.05.2018]
     */
    componentDidMount(): void;
    /**
     * @stable [05.05.2018]
     */
    componentWillUnmount(): void;
    /**
     * @stable [04.05.2018]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [05.05.2018]
     * @param {IKeyboardEvent} e
     */
    private onKeyPress;
    /**
     * @stable [04.05.2018]
     */
    private onDelayedTask;
    /**
     * @stable [04.05.2018]
     */
    private onDelay;
    /**
     * @stable [05.05.2018]
     */
    private clearField;
    /**
     * @stable [04.05.2018]
     * @returns {IField}
     */
    private readonly autoFocusedField;
    /**
     * @stable [05.05.2018]
     * @returns {boolean}
     */
    private static readonly alreadyFocused;
}
