import Vue from 'vue';
import { TranslatorT } from '../../translation';
import { IKeyValue } from '../../definitions.interface';
import { ISettings } from '../../settings';
import { IVueContainer, IVueComponent } from '../../vue-entities-definitions.interface';
import { IVueRefs } from '../../vue-definitions.interface';
import { IVueBaseProps } from './vue-base.interface';
import { INumberConverter } from '../../converter';
export declare class VueBaseComponent<TStore = IKeyValue, TState = IKeyValue> extends Vue implements IVueComponent, IVueBaseProps {
    className: string | ((...args: any[]) => string);
    protected t: TranslatorT;
    protected settings: ISettings;
    protected nc: INumberConverter;
    protected styles: IKeyValue;
    protected bindContainer: IVueContainer;
    protected bindStore: TStore;
    /**
     * @stable [19.11.2018]
     * @returns {boolean}
     */
    protected isContainerBound(): boolean;
    /**
     * @stable [17.11.2018]
     * @returns {Element}
     */
    protected getSelf<TElement extends Element>(): TElement;
    /**
     * @stable [18.11.2018]
     * @returns {TState}
     */
    protected getData(): TState;
    /**
     * @stable [26.11.2018]
     * @param {string} slotName
     * @returns {boolean}
     */
    protected hasSlot(slotName: string): boolean;
    /**
     * @stable [28.11.2018]
     * @param {number} index
     * @returns {IVueRefs}
     */
    protected getChildrenRefs(index?: number): IVueRefs;
}
