"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var base_1 = require("../../../component/base");
var page_toolbar_component_1 = require("./page-toolbar.component");
var page_toolbar_interface_1 = require("./page-toolbar.interface");
var PageToolbarContainer = /** @class */ (function (_super) {
    __extends(PageToolbarContainer, _super);
    /**
     * @stable [16.05.2018]
     * @param {IPageToolbarContainerProps} props
     */
    function PageToolbarContainer(props) {
        var _this = _super.call(this, props) || this;
        _this.onPrevious = _this.onPrevious.bind(_this);
        _this.onNext = _this.onNext.bind(_this);
        _this.onFirst = _this.onFirst.bind(_this);
        _this.onLast = _this.onLast.bind(_this);
        return _this;
    }
    /**
     * @stable [16.05.2018]
     * @returns {JSX.Element}
     */
    PageToolbarContainer.prototype.render = function () {
        var props = this.props;
        return (React.createElement(page_toolbar_component_1.PageToolbar, __assign({}, props.list, { onNext: this.onNext, onPrevious: this.onPrevious, onLast: this.onLast, onFirst: this.onFirst }), props.children));
    };
    /**
     * @stable [16.05.2018]
     */
    PageToolbarContainer.prototype.onNext = function () {
        this.dispatch(page_toolbar_interface_1.PAGER_NEXT_ACTION_TYPE);
    };
    /**
     * @stable [16.05.2018]
     */
    PageToolbarContainer.prototype.onPrevious = function () {
        this.dispatch(page_toolbar_interface_1.PAGER_PREVIOUS_ACTION_TYPE);
    };
    /**
     * @stable [16.05.2018]
     */
    PageToolbarContainer.prototype.onLast = function () {
        this.dispatch(page_toolbar_interface_1.PAGER_LAST_ACTION_TYPE);
    };
    /**
     * @stable [16.05.2018]
     */
    PageToolbarContainer.prototype.onFirst = function () {
        this.dispatch(page_toolbar_interface_1.PAGER_FIRST_ACTION_TYPE);
    };
    return PageToolbarContainer;
}(base_1.BaseContainer));
exports.PageToolbarContainer = PageToolbarContainer;
//# sourceMappingURL=page-toolbar.container.js.map