import { VueCreateElementFactoryT, VueNodeT } from '../../../vue-definitions.interface';
import { VueBaseComponent } from '../../base/vue-index';
import { IVueBasePreviewProps, IVueBasePreviewState, IVueBasePreviewTemplateMethods } from './vue-base-preview.interface';
export declare abstract class VueBasePreview<TVuePreviewState extends IVueBasePreviewState = TVuePreviewState> extends VueBaseComponent implements IVueBasePreviewProps, IVueBasePreviewTemplateMethods {
    src: string;
    scaleFactor: number;
    /**
     * @stable [30.01.2019]
     * @param {VueCreateElementFactoryT} createElement
     * @returns {VueNodeT}
     */
    render(createElement: VueCreateElementFactoryT): VueNodeT;
    /**
     * @stable [14.11.2018]
     */
    mounted(): void;
    /**
     * @stable [30.01.2019]
     */
    updated(): void;
    /**
     * @stable [14.11.2018]
     */
    onScaleIncrease(): void;
    /**
     * @stable [14.11.2018]
     */
    onScaleDecrease(): void;
    /**
     * @stable [30.01.2019]
     * @returns {TVuePreviewState}
     */
    getInitialData$(): TVuePreviewState;
    /**
     * @stable [30.01.2019]
     * @returns {TMethods}
     */
    protected getTemplateMethods<TMethods extends IVueBasePreviewTemplateMethods>(): TMethods;
    /**
     * @stable [30.01.2019]
     * @returns {string}
     */
    protected abstract getPreviewTemplate(): string;
    /**
     * @stable [11.11.2018]
     * @param {MouseEvent} event
     */
    private onClick;
    /**
     * @stable [14.11.2018]
     * @param {number} scale
     */
    private onChangeScale;
    /**
     * @stable [30.01.2019]
     */
    private refresh;
}
