import { Store } from 'redux';
import { IUniversalApplicationStoreEntity } from '../entities-definitions.interface';
import { INumberConverter } from '../converter';
import { IUIFactory } from '../component/factory/factory.interface';
import { TranslatorT } from '../translation';
import { ITransport } from '../transport';
import { IEventManager } from '../event';
/**
 * @stable [20.10.2018]
 * @returns {Store<TStoreEntity extends IUniversalApplicationStoreEntity>}
 */
export declare const getStore: <TStoreEntity extends IUniversalApplicationStoreEntity<{}>>() => Store<TStoreEntity>;
/**
 * @stable [31.10.2018]
 * @returns {INumberConverter}
 */
export declare const getNumberConverter: () => INumberConverter;
/**
 * @stable [09.11.2018]
 * @returns {IUIFactory}
 */
export declare const getUiFactory: () => IUIFactory;
/**
 * @stable [15.11.2018]
 * @returns {TranslatorT}
 */
export declare const getTranslator: () => TranslatorT;
/**
 * @stable [23.02.2019]
 * @returns {ITransport}
 */
export declare const getTransport: () => ITransport;
/**
 * @stable [23.02.2019]
 * @returns {TApi}
 */
export declare const getApi: <TApi>() => TApi;
/**
 * @stable [24.02.2019]
 * @returns {IEventManager}
 */
export declare const getEventManager: () => IEventManager;
