"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var util_1 = require("../util");
var dictionaries_interface_1 = require("./dictionaries.interface");
var dictionaries_action_builder_1 = require("./dictionaries-action.builder");
function dictionariesReducer(state, action) {
    if (state === void 0) { state = dictionaries_interface_1.INITIAL_DICTIONARIES_STATE; }
    var _a, _b, _c;
    var section = util_1.toSection(action);
    switch (action.type) {
        case dictionaries_interface_1.DICTIONARIES_DESTROY_ACTION_TYPE:
            return __assign({}, dictionaries_interface_1.INITIAL_DICTIONARIES_STATE);
        case dictionaries_action_builder_1.DictionariesActionBuilder.buildClearActionType(section):
            return util_1.excludeFieldsFilter(state, section);
        case dictionaries_action_builder_1.DictionariesActionBuilder.buildLoadActionType(section):
            return __assign({}, state, (_a = {}, _a[section] = {
                data: null,
                loading: true,
            }, _a));
        case dictionaries_action_builder_1.DictionariesActionBuilder.buildLoadDoneActionType(section):
            return __assign({}, state, (_b = {}, _b[section] = {
                data: action.data,
                loading: false,
            }, _b));
        case dictionaries_action_builder_1.DictionariesActionBuilder.buildLoadErrorActionType(section):
            return __assign({}, state, (_c = {}, _c[section] = __assign({}, state[section], { loading: false }), _c));
    }
    return state;
}
exports.dictionariesReducer = dictionariesReducer;
//# sourceMappingURL=dictionaries.reducer.js.map