"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var R = require("ramda");
var definitions_interface_1 = require("../definitions.interface");
/**
 * @stable [05.08.2018]
 * @param {AnyT} v
 * @returns {AnyT}
 */
exports.undefEmpty = function (v) { return R.isNil(v) || R.isEmpty(v) ? definitions_interface_1.UNDEF : v; };
/**
 * @stable [05.08.2018]
 * @param {AnyT} v
 * @returns {AnyT}
 */
exports.trimmedUndefEmpty = function (v) {
    var result = exports.undefEmpty(v);
    return result === definitions_interface_1.UNDEF ? result : String(result).trim();
};
/**
 * @stable [05.08.2018]
 * @param {AnyT} v1
 * @param {AnyT} v2
 * @returns {AnyT}
 */
exports.nvl = function (v1, v2) { return R.isNil(v1) ? v2 : v1; };
/**
 * @stable [31.08.2018]
 * @param {TValue} v
 * @returns {TValue}
 */
exports.coalesce = function () {
    var v = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        v[_i] = arguments[_i];
    }
    return R.find(function (v0) { return !R.isNil(v0); }, v);
};
//# sourceMappingURL=nvl.js.map